Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
PaletteTreeCtrl Class Reference
Inheritance diagram for PaletteTreeCtrl:

## Public Member Functions
| __init__ (self, parent, treeStyle, rootName)
| AddGroup (self)
| addTreeNodes (self, parentItem, parentItemName, items, itemKeys)
| ChangeHierarchy (self, itemName, x, y)
| DeleteItem (self, item)
| DeleteSelected (self)
| onBeginDrag (self, event)
| OnCompareItems (self, item1, item2)
| ReParent (self, parent, newParent)
| SortTreeNodes (self, parent)
| traverse (self, parent, itemText)

## Public Attributes
| onBeginDrag
str | opSort = self.opSortOrig
str | opSortAlpha = "Sort Alphabetical Order"
str | opSortOrig = "Sort Original Order"
| paletteUI = parent
| root = self.AddRoot(self.rootName)
| rootName = rootName

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parent,
|  |  | treeStyle,
|  |  | rootName )

## Member Function Documentation

## ◆ AddGroup()

AddGroup | ( |  | self | ) |

## ◆ addTreeNodes()

addTreeNodes | ( |  | self,
|  |  | parentItem,
|  |  | parentItemName,
|  |  | items,
|  |  | itemKeys )

## ◆ ChangeHierarchy()

ChangeHierarchy | ( |  | self,
|  |  | itemName,
|  |  | x,
|  |  | y )

## ◆ DeleteItem()

DeleteItem | ( |  | self,
|  |  | item )

## ◆ DeleteSelected()

DeleteSelected | ( |  | self | ) |

## ◆ onBeginDrag()

onBeginDrag | ( |  | self,
|  |  | event )

## ◆ OnCompareItems()

OnCompareItems | ( |  | self,
|  |  | item1,
|  |  | item2 )

## ◆ ReParent()

ReParent | ( |  | self,
|  |  | parent,
|  |  | newParent )

## ◆ SortTreeNodes()

SortTreeNodes | ( |  | self,
|  |  | parent )

## ◆ traverse()

traverse | ( |  | self,
|  |  | parent,
|  |  | itemText )

## Member Data Documentation

## ◆ onBeginDrag

onBeginDrag

## ◆ opSort

str opSort = self.opSortOrig

## ◆ opSortAlpha

str opSortAlpha = "Sort Alphabetical Order"

## ◆ opSortOrig

str opSortOrig = "Sort Original Order"

## ◆ paletteUI

paletteUI = parent

## ◆ root

root = self.AddRoot(self.rootName)

## ◆ rootName

rootName = rootName